Skip to main content
GET
Get a library technical installation by id (BO)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "counts": Adds _count { instances, rules, specifications }.
  • "created-by": Adds createdByBoUser { id, name, email } (the BO admin who created the entry).
  • "actions-info": Projects { canBeUpdated, canBeArchived, canBeUnarchived, canBeDeleted }.
Available options:
counts,
created-by,
actions-info
whereIncludeDeleted

When true, also allows returning a soft-deleted catalog entry.

Example:

true

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
version
integer
required
Required range: 0 < x <= 9007199254740991
nameFr
string
required
Required string length: 1 - 150
nameEn
string
required
Required string length: 1 - 150
nameDe
string
required
Required string length: 1 - 150
image
object | null
required
archivedAt
string<date-time> | null
required
deletedAt
string<date-time> | null
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
_count
object
createdByBoUser
object | null
actions
object